Summary: Silky is an easy-to-use graphical SILC client.
Name: silky
Version: 0.5.1
Release: 1
License: GPL
Group: Applications/Communications
URL: http://silky.sourceforge.net/
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Epoch: 0

#
# This .spec should work in most rpm-based systems.
# Different distros have different names for the packages, so we
# use library file names directly here.
#
# Rewrite this .spec for official packages if needed, and
# please submit the new .spec for the authors.
#

Requires: gtk2
Requires: libglade-2.0.so.0
Requires: libxml2
Requires: /etc/mime.types
Requires: libsilc

Buildrequires: gtk2-devel libxml2-devel libglade2-devel libsilc

%description
Silky is a graphical SILC client.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q

%build
%configure --enable-shared=yes --with-silc-libs=%{_libdir}/silc \
 --with-silc-includes=%{_includedir}/silc --bindir=%{_bindir} \
 --with-docdir=%{_docdir}/silky
make LDFLAGS=-s

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/silky
%{_datadir}/silky/silky-channel.glade
%{_datadir}/silky/silky-query.glade
%{_datadir}/silky/silky.glade
%{_datadir}/silky/servers.conf
%{_datadir}/silky/silky.conf
%{_datadir}/gnome/apps/Applications/silky.desktop
%{_datadir}/silky/stock_people.png
%{_datadir}/locale/*/LC_MESSAGES/silky.mo

%doc %{_docdir}/silky/AUTHORS
%doc %{_docdir}/silky/COPYING
%doc %{_docdir}/silky/ChangeLog
%doc %{_docdir}/silky/INSTALL
%doc %{_docdir}/silky/NEWS
%doc %{_docdir}/silky/README
%doc %{_docdir}/silky/TODO


%postun

%changelog
* Thu Apr 18 2004 Toni Willberg <toniw@iki.fi>
- Silky 0.5.1 (final)

* Thu Apr 2 2004 Toni Willberg <toniw@iki.fi>
- Silky 0.5.1pre

* Thu Mar 4 2004 Toni Willberg <toniw@iki.fi>
- Silky 0.5.0

* Sat Dec 20 2003 Toni Willberg <toniw@iki.fi>
- Silky 0.4.2, now compatible with Mandrake, RedHat, Fedora Core

* Sat Dec 13 2003 Toni Willberg <toniw@iki.fi>
- Silky 0.4.1, now using libsilc and libsilc-devel
- Changed from static paths to dynamically configured ones

* Wed Sep 24 2003 Toni Willberg <toniw@iki.fi>
- version 0.2.0

* Mon Sep  8 2003 Toni Willberg <toniw@iki.fi>
- Initial build.
